import StateForTabScript from "../domain/StateForTabScript";

export default interface Interface4TabScript {

  getStateForTabScript() : StateForTabScript;

  getProbabilities(): Promise<{
  state: StateForTabScript;
  probabilityMap: string;
  followedProbabilityMap: string;
  } | void>;
  

  getComments(): Promise<{
  state: StateForTabScript;
  commentDistributionList: string;
  } | void>;
  
  addActionToExploration(kind: string, value: string): void;

  upComment(type: string, value: string): void;

  setPopupCommentPosition(position : {x: string, y: string});

}